# Uses of Enum Class
org.eclipse.emf.compare.internal.merge.MergeMode

Packages that use MergeMode
Package
Description
org.eclipse.emf.compare.ide.ui.internal.configuration
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions
org.eclipse.emf.compare.internal.merge
org.eclipse.emf.compare.merge
org.eclipse.emf.compare.provider
org.eclipse.emf.compare.rcp.ui.internal.configuration
org.eclipse.emf.compare.rcp.ui.internal.configuration.impl
org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl

## Uses of MergeMode in org.eclipse.emf.compare.ide.ui.internal.configuration

Methods in org.eclipse.emf.compare.ide.ui.internal.configuration that return MergeMode
Modifier and Type
Method
Description
`MergeMode`
EMFCompareConfiguration.`getMergePreviewMode()`
Methods in org.eclipse.emf.compare.ide.ui.internal.configuration with parameters of type MergeMode
Modifier and Type
Method
Description
`void`
EMFCompareConfiguration.`setMergePreviewMode(MergeMode previewMergeMode)`

## Uses of MergeMode in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions that return MergeMode
Modifier and Type
Method
Description
`protected MergeMode`
AbstractMergeRunnable.`getMergeMode()`
`protected MergeMode`
MergeAction.`getSelectedMode()`
Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions with parameters of type MergeMode
Modifier and Type
Method
Description
`protected IMergeRunnable`
MergeAction.`createMergeRunnable(MergeMode mode, boolean leftEditable, boolean rightEditable, IDiffRelationshipComputer relationshipComputer)`
`protected MergeNonConflictingRunnable`
MergeAllNonConflictingAction.`createMergeRunnable(MergeMode mode, boolean isLeftEditable, boolean isRightEditable, IDiffRelationshipComputer relationshipComputer)`
`protected IMergeRunnable`
MergeContainedAction.`createMergeRunnable(MergeMode mode, boolean isLeftEditable, boolean isRightEditable, IDiffRelationshipComputer relationshipComputer)`
`protected IMergeRunnable`
MergeContainedConflictingAction.`createMergeRunnable(MergeMode mode, boolean isLeftEditable, boolean isRightEditable, IDiffRelationshipComputer relationshipComputer)`
`protected IMergeRunnable`
MergeContainedNonConflictingAction.`createMergeRunnable(MergeMode mode, boolean isLeftEditable, boolean isRightEditable, IDiffRelationshipComputer relationshipComputer)`
`protected void`
MergeAction.`execute(ICompareCommandStack commandStack, MergeMode mode, List<Diff> diffs)`
`protected void`
MergeAllNonConflictingAction.`execute(ICompareCommandStack commandStack, MergeMode mode, List<Diff> diffs)`
`protected void`
MergeAction.`executeCompareCopyCommand(ICompareCommandStack commandStack, MergeMode mode, List<Diff> diffs)`
`protected void`
MergeAction.`initToolTipAndImage(MergeMode mode)`
`protected void`
MergeAllNonConflictingAction.`initToolTipAndImage(MergeMode mode)`
`protected void`
MergeContainedAction.`initToolTipAndImage(MergeMode mode)`
`protected void`
MergeContainedConflictingAction.`initToolTipAndImage(MergeMode mode)`
`protected void`
MergeContainedNonConflictingAction.`initToolTipAndImage(MergeMode mode)`
`protected void`
AbstractMergeRunnable.`markAllAsMerged(Collection<? extends Diff> diffToMarkAsMerged, MergeMode mode, IMerger.Registry mergerRegistry)`
Marks all of the given diffs as merged, keeping track of the merged mode used for the operation.
`protected void`
AbstractMergeRunnable.`markAsMerged(Diff diff, MergeMode mode, boolean mergeRightToLeft, IMerger.Registry mergerRegistry)`
Marks a single diff as merged, keeping track of the merge mode used for the operation.
Constructors in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions with parameters of type MergeMode
Modifier
Constructor
Description
``
`AbstractMergeContainedAction(IEMFCompareConfiguration compareConfiguration, IMerger.Registry mergerRegistry, MergeMode mode, org.eclipse.compare.INavigatable navigatable)`
``
`AbstractMergeContainedAction(IEMFCompareConfiguration compareConfiguration, IMerger.Registry mergerRegistry, MergeMode mode, org.eclipse.compare.INavigatable navigatable, org.eclipse.jface.viewers.IStructuredSelection selection)`
``
`AbstractMergeRunnable(boolean isLeftEditable, boolean isRightEditable, MergeMode mergeMode, IDiffRelationshipComputer diffRelationshipComputer)`
Default constructor.
``
`MergeAction(IEMFCompareConfiguration compareConfiguration, IMerger.Registry mergerRegistry, MergeMode mode, org.eclipse.compare.INavigatable navigatable)`
Constructor.
``
`MergeAction(IEMFCompareConfiguration compareConfiguration, IMerger.Registry mergerRegistry, MergeMode mode, org.eclipse.compare.INavigatable navigatable, org.eclipse.jface.viewers.IStructuredSelection selection)`
``
`MergeAllNonConflictingAction(IEMFCompareConfiguration compareConfiguration, Comparison comparison, IMerger.Registry mergerRegistry, MergeMode mode)`
Constructor.
``
`MergeConflictingRunnable(boolean isLeftEditable, boolean isRightEditable, MergeMode mergeMode, IDiffRelationshipComputer diffRelationshipComputer)`
Default constructor.
``
`MergeContainedAction(IEMFCompareConfiguration compareConfiguration, IMerger.Registry mergerRegistry, MergeMode mode, org.eclipse.compare.INavigatable navigatable, org.eclipse.jface.viewers.IStructuredSelection selection, Predicate<TreeNode> isFiltered)`
``
`MergeContainedConflictingAction(IEMFCompareConfiguration compareConfiguration, IMerger.Registry mergerRegistry, MergeMode mode, org.eclipse.compare.INavigatable navigatable, org.eclipse.jface.viewers.IStructuredSelection selection, Predicate<TreeNode> isFiltered)`
``
`MergeContainedNonConflictingAction(IEMFCompareConfiguration compareConfiguration, IMerger.Registry mergerRegistry, MergeMode mode, org.eclipse.compare.INavigatable navigatable, org.eclipse.jface.viewers.IStructuredSelection selection, Predicate<TreeNode> isFiltered)`
``
`MergeContainedRunnable(boolean isLeftEditable, boolean isRightEditable, MergeMode mergeMode, IDiffRelationshipComputer diffRelationshipComputer)`
``
`MergeNonConflictingRunnable(boolean isLeftEditable, boolean isRightEditable, MergeMode mergeMode, IDiffRelationshipComputer diffRelationshipComputer)`
Default constructor.
``
`MergeRunnableImpl(boolean isLeftEditable, boolean isRightEditable, MergeMode mergeMode, IDiffRelationshipComputer diffRelationshipComputer)`
Constructor parameters in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions with type arguments of type MergeMode
Modifier
Constructor
Description
``
`DropDownMergeMenuAction(IEMFCompareConfiguration configuration, EnumSet<MergeMode> previewModes)`
Constructor.

## Uses of MergeMode in org.eclipse.emf.compare.internal.merge

Methods in org.eclipse.emf.compare.internal.merge that return MergeMode
Modifier and Type
Method
Description
`static MergeMode`
MergeMode.`getMergeMode(Diff diff, boolean leftEditable, boolean rightEditable)`
`MergeMode`
MergeMode.`inverse()`
Returns the inverse of this enum.
`static MergeMode`
MergeMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MergeMode[]`
MergeMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of MergeMode in org.eclipse.emf.compare.merge

Constructors in org.eclipse.emf.compare.merge with parameters of type MergeMode
Modifier
Constructor
Description
``
`ComputeDiffsToMerge(MergeMode mergeMode, boolean isLeftEditable, boolean isRightEditable, IDiffRelationshipComputer relationshipComputer)`
Constructor.

## Uses of MergeMode in org.eclipse.emf.compare.provider

Methods in org.eclipse.emf.compare.provider with parameters of type MergeMode
Modifier and Type
Method
Description
`String`
ITooltipLabelProvider.`getTooltip(MergeMode mode)`
Return a tooltip for the given MergeMode.

## Uses of MergeMode in org.eclipse.emf.compare.rcp.ui.internal.configuration

Methods in org.eclipse.emf.compare.rcp.ui.internal.configuration that return MergeMode
Modifier and Type
Method
Description
`MergeMode`
IEMFCompareConfiguration.`getMergePreviewMode()`
`MergeMode`
IMergePreviewModeChange.`getNewValue()`
`MergeMode`
IMergePreviewModeChange.`getOldValue()`
Methods in org.eclipse.emf.compare.rcp.ui.internal.configuration with parameters of type MergeMode
Modifier and Type
Method
Description
`void`
IEMFCompareConfiguration.`setMergePreviewMode(MergeMode mergePreviewMode)`

## Uses of MergeMode in org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

Constructors in org.eclipse.emf.compare.rcp.ui.internal.configuration.impl with parameters of type MergeMode
Modifier
Constructor
Description
``
`MergePreviewModeChange(MergeMode oldValue, MergeMode newValue)`

## Uses of MergeMode in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl

Methods in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl with parameters of type MergeMode
Modifier and Type
Method
Description
`protected org.eclipse.jface.action.IAction`
AbstractStructuredMergeViewer.`createAction(MergeMode mode, Diff diff)`
Creates the action for merging the given diff via the specified mode.